#version 430 core


layout(location = 0) in vec2 position;
layout(location = 1) in vec2 uv_in;

out vec2 UV;

void main(){

	vec2 position_normalized = position - vec2(1024,768)/2; // [0..1024][0..768] -> [-512..512][-384..384]
	position_normalized /= vec2(1024,768)/2; //now from -1 to 1
	gl_Position =  vec4(position_normalized,0,1);
	
	// UV is passed to the fragment shader
	UV = uv_in;
}

