#version 430 core

// Interpolated values from the vertex shaders
in vec2 UV;

// Ouput data
out vec4 color;

uniform sampler2D textureSampler;
uniform float alpha;

void main(){
	
	//color the screen according to the texture
	color = texture( textureSampler, UV );
	color.a = color.a * alpha;
	
}