#version 430 core


// Input vertex positions and uv
layout(location = 0) in vec2 position;
layout(location = 1) in vec2 uv_in;

// Output data
out vec2 UV;

uniform float flareSize;
uniform vec2 flarePosition;

void main(){
	
	vec2 positionCorrected = position;
	positionCorrected.x *= 768.0/1024.0;
	//position is passed to the fragment shader
	gl_Position =  vec4((positionCorrected * flareSize) + flarePosition,0,1);
	
	// UV is passed to the fragment shader
	UV = uv_in;
}

